KickPunch
============================

:video_game: [game-off-2017](https://itch.io/jam/game-off-2017) challenge entry. 
[**Play now**](https://kenamick.itch.io/kickpunch) | [**Watch Video**](https://www.youtube.com/watch?v=I8-4hi568uE)

KickPunch is an old school Beat-'em-up game. Get your fighting skills tested by defeating all enemies in this three level action game.

It's a beautiful Sunday afternoon. Brian and Gloria Freezby are back in their home town for the weekend and are taking a stroll on Shaker St. together with their dog Dido. Suddenly, they are approached by a group of hooligans. One of them, visibly bigger than the others, steps out of the group. It's Brian’s old rival - Arkian Joel. Arkian does some smack talk and orders a bunch of his thugs to grab Gloria and Dido. He then leaves his gang to take care of the *Brian problem*.

Brian faces the bad guys in fight and after defeating them continues down on Shaker St. determined to find Arkian and save his wife and dog.

![KickPunch](https://i.imgur.com/fDKuk7n.png)

# Supported Browsers

  * Google Chrome - 62+ (:star: **highly recommended**)
  * Firefox - 57+
  * Safari - 11.0.2
  * Opera - 49.0
  * *Microsoft Edge 41.16299.15.0* (anti-aliasing is forced by the browser)

# Controls

It's time to kick ass and chew bubble gum. :fist:

Ok, ok. There's no bubble gum in this game, ...yet! :smiling_imp:

  * :video_game: *Use the Gamepad Luke!* No seriously, the game can be played with a gamepad (xinput), so go ahead and try it.
  * :running: `D-Pad`, `Left Stick`, `Arrow Keys` or `WASD` keys to move.
  * :facepunch: Press `X (xbox)`, `H`, `O` or `Enter` to punch.
  * :rage3: Press `A (xbox)`, `J`, `P` or `Backspace` to kick.

Here are some hints.

  * Move, move, move. Don't let the enemies surround you. Try to stack them together and then hit them.
  * Kicks knock enemies back farther than punches, but they do less damage.
  * Get food to heal yourself. The bigger the dish, the more hitpoints you'll get restored. Also, make sure you look behind the objects in each level.

# Development

### Requirements

* [Node 8.6.0](https://nodejs.org)
* [npm 5.5.1](https://www.npmjs.com/package/npm)
* [Git LFS](https://git-lfs.github.com/)

### Installation

```
npm i
```

### Running a dev server

```
npm start
```

or

```
npm run dash
```
_(you'll need extra RAM)_

Default address is <http://0.0.0.0:3000>

### Get a production build
```
npm run build
```

# Open Source Tools

Notable tools used to create this game.

  * [Phaser](https://phaser.io) - A fun, free and fast 2D game framework for making HTML5 games.
  * [Tiled](http://www.mapeditor.org) - Your free, easy to use and flexible tile map editor.
  * [TexturePacker](https://www.codeandweb.com/texturepacker) - Be smart - Let TexturePacker collect the sprites.
  * [GIMP](https://www.gimp.org) - The Free & Open Source Image Editor.
  * [Visual Studio Code](https://code.visualstudio.com/) - Free & Open Source code editor.

# Licensing
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![License: CC BY 4.0](https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg)](https://creativecommons.org/licenses/by/4.0/)

Source code is under MIT license, see [LICENSE](./LICENSE).

Third party code dependencies are under their respective licenses,
see [./node_modules/](./node_modules)*%dependency-name%/LICENSE* after their installation.

Assets are under CC BY 4.0 license, if no respective LICENSE file is present in [./src/assets](./src/assets) subdirectories.

---
KickPunch is a GitHub [Game Off 2017](https://itch.io/jam/game-off-2017) entry.

![GitHub Game Off 2017 Game Jam](https://user-images.githubusercontent.com/18125109/31239479-d554f29c-a9c2-11e7-8138-71483d537ca9.gif)
